/* Copyright (c) 1997, MpegTV LLC */
#ifndef _vcd_api_h
#define _vcd_api_h
#ifndef lint
static const char rcsid_vcd_api_h[] = "$Header: /mona/tristan/mpeg/dec/RCS/vcd_api.h,v 1.6 1998/08/25 10:11:01 tristan Exp $";
#endif


/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

#include "mtvp/misc.h"
#include "mtvp/sih_api.h"

/*--------------------------------------------------------------------------+
| Configuration flags														|
+--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------+
| Macros																	|
+--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/
/* VCD infos [experimental] */
typedef enum {
	VCD_FEEDBACK_TYPE_VIDEO_TRACK_COUNT
} VCD_FEEDBACK_TYPE;

/* number of video tracks [experimental] */
typedef struct {
	u_int	count;
} VCD_FEEDBACK_DATA_VIDEO_TRACK_COUNT;

/* VCD infos */
typedef union {
	VCD_FEEDBACK_DATA_VIDEO_TRACK_COUNT	video_track_count;
} VCD_FEEDBACK_DATA;

/* data coming with A2G_COM_VCD_FEEDBACK [experimental] */
typedef struct {
	VCD_FEEDBACK_TYPE	type;
	VCD_FEEDBACK_DATA	data;
} SIH_VCD_FEEDBACK;


#if 0 /* Tristan Savatier - Wed Aug 19 16:15:46 PDT 1998 */
///* commands for VCD_CNTL [experimental] */
//typedef enum {
//   VCD_CNTL_COM_OPEN_DEVICE,
//   VCD_CNTL_COM_CLOSE_DEVICE
//} VCD_CNTL_COM;
//
///* commands for VCD_CNTL [experimental] */
//typedef struct {
//   u_char	device_name[256];
//} VCD_CNTL_DATA_OPEN_DEVICE;
//
//typedef union {
//   VCD_CNTL_DATA_OPEN_DEVICE	open_device;
//} VCD_CNTL_DATA;
//
///* data sent with COM_VCD_CNTL [experimental] */
//typedef struct {
//   VCD_CNTL_COM		command;
//   VCD_CNTL_DATA	data;
//} VCD_CNTL;
#endif /* 0 - Tristan Savatier - Wed Aug 19 16:15:46 PDT 1998 */


#endif /* _vcd_api_h */
